<?php
// +-----------------------------------------------------------------------+
// | pwgCumulus  - a plugin for Piwigo                                     |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License version 2 as     |
// | published by  the Free Software Foundation                            |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
// | MA 02110-1301 USA                                                     |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) {
  die('Hacking attempt!');
}

load_language('plugin.lang', PWG_CUMULUS_PLUGIN_LANG);

include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');

$me = get_plugin_data($plugin_id);

$Tabs = array('main' => l10n('Dashboard'),
	      'menu' => l10n('Menu'),
	      'tags' => l10n('Tags page')
	      );
$default_tab = 'main';
$cc_base_url = get_admin_plugin_menu_link(__FILE__);

// tabsheet
if (!isset($_GET['tab']) or !isset($Tabs[$_GET['tab']])) {
  $page['tab'] = $default_tab;
} else {
  $page['tab'] = $_GET['tab'];
}

$tabsheet = new tabsheet();
foreach ($Tabs as $key => $label) {
  $tabsheet->add($key, $label, $cc_base_url.'&amp;tab='.$key);
}
$tabsheet->select($page['tab']);
$tabsheet->assign();

include_once(PWG_CUMULUS_PLUGIN_ROOT . '/include/admin_' . $page['tab'] . '.inc.php');

$template->set_filename('plugin_admin_content', PWG_CUMULUS_PLUGIN_TEMPLATE . '/admin.tpl');
$template->assign('PWG_CUMULUS_PLUGIN_CSS', PWG_CUMULUS_PLUGIN_CSS);
$template->assign('PWG_CUMULUS_PLUGIN_JS', PWG_CUMULUS_PLUGIN_JS);
$template->assign('PWG_CUMULUS_TAB_ACTION', PWG_CUMULUS_PLUGIN_TEMPLATE . '/admin_' . $page['tab'] . '.tpl');
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
